{# une macro #}
{% macro footer(distribution,version) %}
<p>Généré par {{ distribution }} {{ version }}</p>
{% endmacro %}


<html>
<head>
	<title>{{ ansible_os_family }} Apache Web Server</title>
	<meta charset="utf-8" />
</head>
	<body>
		<h1>{{ ansible_os_family }} Apache Web Server</h1>
		{% if lamp_packages is defined %}
			<h2>Packages</h2>
			<ul>
			{% for item in lamp_packages %}
				<li> {{ item|title }} </li>
				{# 
				le filtre title met les premières lettres en majuscule
				autres filtres: upper lower trim
				#}
			{% endfor %}
			</ul>
		{% endif %}
{{ footer(ansible_distribution,ansible_distribution_version) }}
	</body>
</html>
		
